org.eclipse.cdt.utils.spawner

## Class EnvironmentReader

- java.lang.Object
- - org.eclipse.cdt.utils.spawner.EnvironmentReader

    public class EnvironmentReader
    extends Object

This class provides environment variables supplied as `Properties` class.

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Constructor Summary

Constructors
Constructor and Description
`EnvironmentReader()`

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static String` `getEnvVar(String key)`
`static Properties` `getEnvVars()`
`static String[]` `getRawEnvVars()` Deprecated. since CDT 6.1. `getEnvVars()` provides all the data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnvironmentReader

    public EnvironmentReader()

### Method Detail

#### getEnvVars

    public static Properties getEnvVars()

Returns:
  list of environment variables.

#### getEnvVar

    public static String getEnvVar(String key)

Parameters:
  `key` - - name of environment variable (without $ sign).
Returns:
  value of environment variable.

#### getRawEnvVars

    @Deprecated
    public static String[] getRawEnvVars()

Deprecated. since CDT 6.1. `getEnvVars()` provides all the data.